- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QMargins Class Reference

Search for all occurrences

## Detailed Description

Definition at line 53 of file qmargins.h.

`#include <qmargins.h>`

List of all members.

## Public Member Functions
| QMargins ()
| QMargins (int left, int top, int right, int bottom)
bool | isNull () const
int | left () const
int | top () const
int | right () const
int | bottom () const
void | setLeft (int left)
void | setTop (int top)
void | setRight (int right)
void | setBottom (int bottom)
## Friends
bool | operator== (const QMargins &, const QMargins &)
bool | operator!= (const QMargins &, const QMargins &)

## Constructor & Destructor Documentation

QMargins | ( |  | ) | `[inline]`

Definition at line 87 of file qmargins.h.

    { m_top = m_bottom = m_left = m_right = 0; }

QMargins | ( | int | left,
|  | int | top,
|  | int | right,
|  | int | bottom
| ) |  | `[inline]`

Definition at line 90 of file qmargins.h.

        : m_left(aleft), m_top(atop), m_right(aright), m_bottom(abottom) {}

## Member Function Documentation

bool isNull | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 93 of file qmargins.h.

    { return m_left==0 && m_top==0 && m_right==0 && m_bottom==0; }

int left | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 96 of file qmargins.h.

    { return m_left; }

int top | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 99 of file qmargins.h.

    { return m_top; }

int right | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 102 of file qmargins.h.

    { return m_right; }

int bottom | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 105 of file qmargins.h.

    { return m_bottom; }

void setLeft | ( | int | left | ) | `[inline]`

Search for all occurrences

Definition at line 109 of file qmargins.h.

    { m_left = aleft; }

void setTop | ( | int | top | ) | `[inline]`

Search for all occurrences

Definition at line 112 of file qmargins.h.

    { m_top = atop; }

void setRight | ( | int | right | ) | `[inline]`

Search for all occurrences

Definition at line 115 of file qmargins.h.

    { m_right = aright; }

void setBottom | ( | int | bottom | ) | `[inline]`

Search for all occurrences

Definition at line 118 of file qmargins.h.

    { m_bottom = abottom; }

## Friends And Related Function Documentation

bool operator== | ( | const QMargins & | m1,
|  | const QMargins & | m2
| ) |  | `[friend]`

Definition at line 121 of file qmargins.h.

    {
        return
                m1.m_left == m2.m_left &&
                m1.m_top == m2.m_top &&
                m1.m_right == m2.m_right &&
                m1.m_bottom == m2.m_bottom;
    }

bool operator!= | ( | const QMargins & | m1,
|  | const QMargins & | m2
| ) |  | `[friend]`

Definition at line 130 of file qmargins.h.

    {
        return
                m1.m_left != m2.m_left ||
                m1.m_top != m2.m_top ||
                m1.m_right != m2.m_right ||
                m1.m_bottom != m2.m_bottom;
    }

The documentation for this class was generated from the following file:

- QtCore/qmargins.h

QMargins QMargins QMargins QMargins QMargins QMargins QMargins QMargins QMargins QMargins
QMargins QMargins QMargins QMargins QMargins QMargins QMargins QMargins QMargins QMargins